body{
  margin: 0;
  padding: 100px 100px;
}
.slides{
  height: 400px;
}

.slides{
  overflow: hidden;
  position: relative;
}

.view{
  height: 100%;
  background: #ddd;
  overflow: visible; /* 控制滚动条 */
  display: flex;
  transition: transform 1s;
}

.slide{
  height: 100%;
  box-sizing: border-box;
  float: left;
  width: 100%;
  flex-shrink: 0; /* 关闭压缩 */
}

.slides{
  position: relative;
}

.slides>.controls{
  position: absolute;
  width:100px;
  height:auto;
  margin: auto;
  top: 75%; left: 0; bottom:0; right: 0;
  list-style:none;
  font-size:50px;
  padding: 0;
}

.slides>.controls li{
  text-align: center;
  display: inline;
  margin-right: 10px;
  cursor: default;
}

/* 使用者写的CSS */
.slide{
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 50px;
}

.slide:nth-child(1){
  background: #aaa;
}
.slide:nth-child(2){
  background: #ddd;
}
.slide:nth-child(3){
  background: #eee;
}